% preg 5, lab 7, 521230, S2-2011

% 5.1
% graficando las funciones f y g
figure(1)
x = -3:.1:3;
plot(x,exp(x-x.^2));
hold on
plot(x,atan(x.^2),'r')
legend('e^{x-x^2}','atan(x)');
xlabel('x')

figure(2)
% grafiquemos la diferencia
plot(x,exp(x-x.^2)-atan(x.^2))
% se observa que x0 esta entre -2 y 0 y x1 esta entre 0 y 2
% o un cero esta cerca de -1 y el otro cerca de 1
xlabel('x')
ylabel('e^{x-x^2}-atan(x)');

% con ayuda de fzero buscaremos x0 y x1, dando intervalo inicial
x0i = fzero(@(x) exp(x-x^2)-atan(x^2),[-2,0],optimset('TolX',1e-10));
x1i = fzero(@(x) exp(x-x^2)-atan(x^2),[0,2],optimset('TolX',1e-10));
% o dando aproximacion inicial
% x0 = fzero(@(x) exp(x-x^2)-atan(x^2),-1,optimset('TolX',1e-10));
% x1 = fzero(@(x) exp(x-x^2)-atan(x^2),1,optimset('TolX',1e-10));

% area entre las curvas usando x0i, x1i
disp('area entre curvas en P2')
quad(@(x)atan(x.^2)-exp(x-x.^2),-3,x0i)+...
    quad(@(x)exp(x-x.^2)-atan(x.^2),x0i,x1i)+...
    quad(@(x)atan(x.^2)-exp(x-x.^2),x1i,3)
% area entre las curvas usando x0, x1
% quad(@(x)atan(x.^2)-exp(x-x.^2),-3,x0)+...
%     quad(@(x)exp(x-x.^2)-atan(x.^2),x0,x1)+...
%     quad(@(x)atan(x.^2)-exp(x-x.^2),x1,3)




